## ros-melodic-exotica-ompl-solver 6.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(exotica_ompl_solver)

find_package(ompl REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  exotica_core
  exotica_python
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} ${OMPL_LIBRARIES}
  CATKIN_DEPENDS exotica_core
  DEPENDS OMPL
)

AddInitializer(
  ompl_solver
  rrt
  rrt_connect
  prm
  lazy_prm
  est
  kpiece
  bkpiece
  rrt_star
  lbt_rrt
)
GenInitializers()

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${OMPL_INCLUDE_DIRS}
)
link_directories(${catkin_LIBRARY_DIRS} ${Boost_LIBRARY_DIRS} ${OMPL_LIBRARY_DIRS})

add_library(${PROJECT_NAME}
  src/ompl_exo.cpp
  src/ompl_solver.cpp
  src/ompl_native_solvers.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OMPL_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_initializers ${catkin_EXPORTED_TARGETS})

pybind_add_module(${PROJECT_NAME}_py MODULE src/ompl_py.cpp)
target_link_libraries(${PROJECT_NAME}_py PRIVATE ${PROJECT_NAME})
add_dependencies(${PROJECT_NAME}_py ${PROJECT_NAME} ${PROJECT_NAME}_initializers)
install(TARGETS ${PROJECT_NAME}_py LIBRARY DESTINATION ${CATKIN_GLOBAL_PYTHON_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
install(FILES exotica_plugins.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-exotica-ompl-solver (6.0.2-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (6.0.1-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (6.0.0-1stretch) stretch; urgency=high

  * CMakeLists: Upgrade minimum version to 3.0.2 to avoid CMP0048 (#720 <https://github.com/ipab-slmc/exotica/issues/720>)
    Add Dubin's state-space support for OMPL solvers (#707 <https://github.com/ipab-slmc/exotica/issues/707>)
  * Contributors: Wolfgang Merkt, mspahn

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (5.1.3-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (5.1.2-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (5.1.1-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (5.1.0-1stretch) stretch; urgency=high

  * Fix SE(2) and SE(3) treatment
  * Contributors: Christian Rauch, Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-exotica-ompl-solver
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <wolfgang@robots.ox.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-exotica-core, ros-melodic-exotica-python, ros-melodic-ompl
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-exotica-ompl-solver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-exotica-core, ros-melodic-exotica-python, ros-melodic-ompl
Description: Exotica solvers based on the Open Motion Planning Libary (OMPL)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-exotica-ompl-solver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-exotica-ompl-solver 6.2.0

=== debian/changelog ===
ros-melodic-exotica-ompl-solver (6.2.0-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Thu, 22 Jul 2021 23:00:00 -0000

ros-melodic-exotica-ompl-solver (6.1.1-1bionic) bionic; urgency=high

  * SamplingProblem: Rename IsValid(q) to IsStateValid(q) (#736 <https://github.com/ipab-slmc/exotica/issues/736>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sun, 04 Apr 2021 23:00:00 -0000

ros-melodic-exotica-ompl-solver (6.1.0-1bionic) bionic; urgency=high

  * Upgrade clang format from v3.9 to v6.0 (#730 <https://github.com/ipab-slmc/exotica/issues/730>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 15 Mar 2021 00:00:00 -0000

ros-melodic-exotica-ompl-solver (6.0.2-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (6.0.1-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (6.0.0-1bionic) bionic; urgency=high

  * CMakeLists: Upgrade minimum version to 3.0.2 to avoid CMP0048 (#720 <https://github.com/ipab-slmc/exotica/issues/720>)
    Add Dubin's state-space support for OMPL solvers (#707 <https://github.com/ipab-slmc/exotica/issues/707>)
  * Contributors: Wolfgang Merkt, mspahn

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (5.1.3-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (5.1.2-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (5.1.1-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-ompl-solver (5.1.0-1bionic) bionic; urgency=high

  * Fix SE(2) and SE(3) treatment
  * Contributors: Christian Rauch, Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000
